Bug 166135 - [patch] port databases/p5-DBD-Pg update to 2.19.1
Summary: [patch] port databases/p5-DBD-Pg update to 2.19.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-15 06:30 UTC by Olli Hauer
Modified: 2012-03-15 20:00 UTC (History)
1 user (show)

See Also:


Attachments
patch_p5-DBD-Pg.txt (1.04 KB, text/plain)
2012-03-15 06:30 UTC, Olli Hauer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2012-03-15 06:30:02 UTC
Changelog:
Version 2.19.1  Released March 10, 2012
  - Fix crash when passing in an array with undefined elements. [GSM]

Version 2.19.0  Released March 9, 2012 (git commit 05ab092905ce6891ed83e173412ee70d6cdb8cb5)
  - Use proper formatting for warn() and croak() (CPAN bug #75642)
    [Niko Tyni]
  - Fix localized regex in test (CPAN bug #70759)
  - Fix for named placeholders (CPAN bug #70953) [Jan Pazdziora]
  - Various fixes to the array-marshalling code [Noah Misch, Mark
    Stosberg, and David Christensen] (CPAN bug #58552)
  - Allow hi-bit chars in dollar-quoted identifiers
    [David Christensen] (CPAN bug #73832)
  - Have do() return count for things such as CREATE TABLE .. AS SELECT
    Will only work on 9.0 or better. (CPAN bug #71073) [Pavel Stehule]
  - Better error message when trying to do things post-disconnect [GSM]
  - Always respect pg_server_prepare=0 by using PQexec not PQexecParams. [GSM]
  - Fix error in async docs (CPAN bug #72812)
Comment 1 Edwin Groothuis freebsd_committer 2012-03-15 06:30:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jason Helfman freebsd_committer 2012-03-15 15:08:36 UTC
Responsible Changed
From-To: perl->jgh

taking this with hat pgsql@
Comment 3 dfilter service freebsd_committer 2012-03-15 19:58:05 UTC
jgh         2012-03-15 19:57:51 UTC

  FreeBSD ports repository

  Modified files:
    databases/p5-DBD-Pg  Makefile distinfo 
  Log:
  - Update to 2.19.1
  
  Changelog:
  Version 2.19.1 Released March 10, 2012
  - Fix crash when passing in an array with undefined elements. [GSM]
  
  Version 2.19.0 Released March 9, 2012 (git commit 05ab092905ce6891ed83e173412ee70d6cdb8cb5)
  - Use proper formatting for warn() and croak() (CPAN bug #75642)
  [Niko Tyni]
  - Fix localized regex in test (CPAN bug #70759)
  - Fix for named placeholders (CPAN bug #70953) [Jan Pazdziora]
  - Various fixes to the array-marshalling code [Noah Misch, Mark
  Stosberg, and David Christensen] (CPAN bug #58552)
  - Allow hi-bit chars in dollar-quoted identifiers
  [David Christensen] (CPAN bug #73832)
  - Have do() return count for things such as CREATE TABLE .. AS SELECT
  Will only work on 9.0 or better. (CPAN bug #71073) [Pavel Stehule]
  - Better error message when trying to do things post-disconnect [GSM]
  - Always respect pg_server_prepare=0 by using PQexec not PQexecParams. [GSM]
  - Fix error in async docs (CPAN bug #72812)
  
  PR:     ports/166135
  Submitted by:   ohauer@
  Feature safe:   yes
  
  Revision  Changes    Path
  1.99      +1 -2      ports/databases/p5-DBD-Pg/Makefile
  1.50      +2 -2      ports/databases/p5-DBD-Pg/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2012-03-15 19:58:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!